All Questions

Filter by
Sorted by
Tagged with
0
votes
1answer
8 views

No package g++ available. on HDP sandbox

I am trying to figure out how to install g++ on Hortonworks HDP [root@sandbox-hdp Lesson-5.2_pipes]# uname -a Linux sandbox-hdp.hortonworks.com 4.19.5-1.el7.elrepo.x86_64 #1 SMP Tue Nov 27 12:40:57 ...
2
votes
1answer
38 views

Transfer RPMs file with Ansible and localinstall them

I am having the following yaml ansible-playbook and want to transfer the rpms and then localinstall them on the remote machine. Until the transfer file step its working fine however on the ...
0
votes
1answer
44 views

How to install old 32bit packages (i686) on CentOS 7.6

I have an application that requires following packages to be installed via yum: openmotif.i686, libusb.i686 and libXpm.i686 On CentOS 6 is was just fine to install those packages before installing my ...
-1
votes
1answer
99 views

Problems While Installing Git in RHEL 7.6

I am trying to install git and I get the following error though I have a valid subscription of the RHEL Client 7.6. No package git available. Error: Nothing to do I ran the following commands: [...
1
vote
1answer
93 views

CentOS rpm package not available when using yum

I wanted to install Oracle 11.2 on my centOS7. I did all but one prerequisite steps. Oracle requires me to have a lot of rpm packages preinstalled. Do I need to find all of them and then download ...
0
votes
1answer
227 views

How to install gnumeric on Oracle Linux 6?

Many blogs suggest sudo yum install gnumeric and sudo yum install gnumeric.x86_64, but to me both are giving the following message: Loaded plugins: security, ulninfo Setting up Install Process ...
1
vote
1answer
3k views

Cant' install xrdp on CentOS 7.5

cat /etc/os-release NAME="CentOS Linux" VERSION="7 (Core)" ID="centos" ID_LIKE="rhel fedora" VERSION_ID="7" PRETTY_NAME="CentOS Linux 7 (Core)" ANSI_COLOR="0;31" CPE_NAME="cpe:/o:centos:centos:7" ...
-1
votes
1answer
2k views

How to install tmux on Centos?

When I execute yum install tmux, it gives me an error: Setting up Install Process No package tmux available. Error: Nothing to do Any idea on how to solve this issue?
0
votes
3answers
217 views

Why does rpm -i <package> fail on a dependency that I have installed?

I tried installing the following package: [root@localhost ~]# rpm -i libmicrohttpd-0.9.22-1.el7.centos.x86_64.rpm But I got an error for failed dependencies: [root@localhost ~]# rpm -i ...
0
votes
0answers
164 views

devtoolset-1.1 install fails with Centos 7 docker container after working for months

This was working until recently. yum -y install wget gmp-devel rpm-devel mpfr-devel rpm wget -O /etc/yum.repos.d/slc6-devtoolset.repo http://linuxsoft.cern.ch/cern/devtoolset/slc6-devtoolset.repo ...
-3
votes
1answer
337 views

How to install OS packages using yum?

I need to install below packages: gcc: gcc-c++-4.4.7-3.el6.x86_64 Flex: flex-2.5.35-8.el6.x86_64 Bison: bison-2.4.1-5.el6.x86_64 Glib: glib2-devel-2.22.5-7.el6.x86_64 & glibc-devel-2.12-1....
1
vote
1answer
78 views

Using 'rpm -i' to install a package on CentOS6 but getting dependency error, even though I have installed the dependency, why?

Operating System = CentOS 6 I'm trying to install a package as follows: rpm -i package_name.rpm But I get the following error: error: Failed dependencies: sqlite >= 3.7.15 is needed by ...
2
votes
1answer
1k views

Install Google Chrome in CentOS

I run a CentOS 6.3 version of 32 bit VM in the Mac OS machine. I get these info from the terminal, $ uname -a Linux Cloudera-Training-VM-4.1.1.c 2.6.32-279.14.1.el6.i686 #1 SMP Tue Nov 6 21:05:14 ...
1
vote
1answer
155 views

Error installing Opennms on Oracle Linux 6.9

I need to install Opennms monitoring software because I'm getting error trying to install it on Oracle Linux 6.9. I used this commands: wget https://yum.postgresql.org/9.3/redhat/rhel-6.9-x86_64/...
2
votes
2answers
2k views

How do I Install screen on RHEL 7.2

I'm having trouble trying to install screen on Red Hat Enterprise Linux Client release 7.2. I have tried: sudo yum install screen Also... sudo yum install screen.x86_64 Running... sudo yum list ...
1
vote
1answer
890 views

Red Hat 6.9 Desktop yum groupinstall Developer Tools not found? [closed]

I searched everywhere on the web for a few days, and I am still stuck... I am running Red Hat Enterprise Linux Desktop 6.9 in a virtual machine. I am using an older version because I am experimenting ...
0
votes
1answer
151 views

install hadoop_2_6_1_0_129-hdfs

tried to install Hadoop cluster App Timeline Server Install returned error: 2018-02-26 19:31:49,406 - Installing package hadoop_2_6_1_0_129-hdfs ('/usr/bin/yum -d 0 -e 0 -y install ...
0
votes
1answer
2k views

unable to install collectd on Rhel 7

Requirement to install collectd to monitor resources. Steps done do far: yum install epel-release # this failed as pubilc key is not installed yum install --nogpgcheck epel-release # failed ...
0
votes
1answer
173 views

How can I get fail2ban to install on Centos 7.4?

I've done yum install epel-release and this shows in my repolist: repo id repo name ...
0
votes
2answers
3k views

Downgrading the `kernel-devel-3.10.0-xxx.el7.x86_64.rpm`

I use the wget download the kernel-devel, then I want install it, but it seems has been installed by yum: $ rpm -i kernel-devel-3.10.0-327.el7.x86_64.rpm warning: kernel-devel-3.10.0-327.el7.x86_64....
2
votes
1answer
278 views

jdk install on centos

On Ubuntu I can do: sudo apt-get install default-jdk What is the equivalent of that on CentOS? If I do yum install default-jdk tt says No package default-jdk available. Error: Nothing to do
2
votes
0answers
442 views

Error (qt5-qtwebkit) trying to install notepadqq on Redhat 7.4

I am trying to install notepadqq on Redhat 7.4. To do this I run sudo yum install notepadqq However, I get the following errors, Error: Package: notepadqq-0.46.1-0.el7.centos.x86_64 (FedoraPeople-...
0
votes
1answer
629 views

Stata 14 fails to start on RHEL 7.x, with “libpng12.so.0” error. How do I install libpng12?

The proprietary software Stata version 14 breaks on RHEL 7.3. Stata says: stata-se: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory So ...
1
vote
1answer
302 views

Mirrors failing for RHEL 7 yum install

I have a RHEL 7 that has connectivity to the internet and no proxy in between. I can ping 8.8.8.8 I am trying to install grafana (an application for dashboards) based on official docs: http://docs....
2
votes
3answers
3k views

How to install libgdiplus on CentOS 7?

I need to install libgdiplus on CentOS 7. The application which I am running needs this package. I was able to install it on Ubuntu, by using following command: sudo apt-get install libgdiplus But ...
1
vote
0answers
5k views

Unable to “yum install” on Oracle Linux 7 machine

I get the following error: Loaded plugins: langpacks, ulninfo http://yum.oracle.com/repo/OracleLinux/OL7/latest/x86_64/repodata/repomd.xml: [Errno 14] curl#6 - "Could not resolve host: yum.oracle....
0
votes
1answer
602 views

How to adapt `sudo yum install …` instructions to install packages under `$HOME/.hostdir` without superuser privileges?

How can I adapt the following instructions sudo yum install asciidoc xmlto epel-release docbook2X ...so that I can run them without superuser privileges, and the installation happens under --prefix=$...
1
vote
0answers
456 views

Yum: older removed package conflicting wth new package to install

I am trying to upgrade/install docker-engine on Centos7.I had previously installed docker version 1.10. I removed it using yum remove. Currently I am trying to install version 1.12 from the curl ...
1
vote
0answers
45 views

Installing linbox via yum gives undefined reference [closed]

For a university project I need to install linbox (http://linalg.org/linbox-html/install-dist.html). I installed Fedora in order to do that but unfortunately I am not very familiar with installing ...
8
votes
1answer
10k views

yum install http - is this safe?

I am not very familiar with using yum to install packages. In a previous life I used apt. Currently, I am looking at some instructions to run # yum install http://example.com/package.rpm which ...
0
votes
1answer
2k views

packages to be install in a for loop if not installed [closed]

Could some one help to find out what is problem with my for loop script. I'm trying to install packages from a list of variables using a for loop. My issues is when go grab the first package to be ...
1
vote
1answer
314 views

RepoForge used across many StackOverflow docs is down, What is the alternative?

I'm trying to download git. I could build from source except I have no source packages. I tried yum install git but that couldn't find it. I tried downloading the git rpm directly from Repoforge , ...
2
votes
1answer
8k views

How do I install screen on RHEL6.5

I'm having trouble trying to install screen on Red Hat Enterprise Linux Server 6.5. I have tried: sudo yum install screen Also... sudo yum install screen.x86_64 Running... sudo yum list screen ...
4
votes
1answer
5k views

MySQL installed but no mysql command found

I'm trying to install MySQL 5.1.69 server community onto a RHEL 6 system (although it's outdated; I want to replicate an issue reported on this version). I installed a MySQL 5.1 PRM, downloaded from ...
1
vote
1answer
2k views

How does yum work with “enabled=0” of repo files?

yum access to ‘repodata’ from URL address in /etc/yum.conf or /etc/yum.repos.d/*.repo but when i verify them in my centos : In yum.conf there is not URL of repodata Also repo files in this path /...
2
votes
1answer
730 views

TeXstudio rpm install: QT dependencies (e.g. libQtGui.so.4)

I'm trying to install TeXstudio on a Scientific Linux 7.2 machine with an rpm. My problem is, that I'm missing the following dependencies: # rpm -ivh texstudio-qt4-2.10.8-6.1.x86_64.rpm warning: ...
3
votes
1answer
747 views

Installing Octave on CentOS - incompatible BLAS library error

I am trying to install Octave on CentOS. After running sudo yum install octave ./configure F77=gfortran I got this error: configure: error: A BLAS library was detected but found incompatible with ...
1
vote
1answer
2k views

Why Linux has so many dependency problems when installing software while Windows doesn't except for few like VC++? [closed]

I'm a Windows user and I need to also use Linux distros heavily for work. Installing software has been so difficult with all dependency missing/version not upgraded/OS distro version unmatch. Not ...
0
votes
3answers
485 views

How to install Nginx while Apache running?

I am trying to install nginx as a backend proxy for Apache and I get this errors: === Install Nginx from official repositories === Loaded plugins: fastestmirror, remove-with-leaves, tsflags, ...
1
vote
2answers
3k views

Installing (html) tidy conflicts with filesystem package

I'm on CentOS 7 trying to install tidy. Since there is no package provided by the usual suspects, I've downloaded the tidy-5.1.25-64bit.rpm RPM from http://binaries.html-tidy.org/. When I install this ...
1
vote
2answers
6k views

No package pgadmin3 available

I'm running CentOS release 6.7 (Final) I'm trying to install sudo yum install pgadmin3 I keep getting Loaded plugins: fastestmirror, refresh-packagekit, security Setting up Install Process ...
-1
votes
1answer
4k views

Error: xz compression not available

I'm running redhat enterprise v6.6 64bit and am tyring to install 32bit Skype. In the process of trying to fix the dependency issue I managed to create another issue for myself. When I try and ...
1
vote
2answers
2k views

Cannot use EPEL repo, get NSS error -5990 (PR_IO_TIMEOUT_ERROR)

I'm using vagrant to start up a centOS 7.0 VM. My provisioner is trying to set up EPEL 7 via yum install epel-release -y and then trying to install ansible via yum install ansible -y It installs ...
3
votes
1answer
2k views

httpd 2.4.10 in CentOS 7

How can I update my httpd version 2.4.6 to 2.4.10? If I try to update it with yum, it says that I have the latest version. I want to update httpd to 2.4.10 version because a security issue of the ...
6
votes
2answers
16k views

yum - check if package already installed

When I run yum install <X> where <X> has already been installed, yum exits with a return status of 1 and prints "Error: Nothing to do". Aside from checking for this string in the output (...
49
votes
2answers
132k views

Local installation of .rpms using YUM

I'm asking this question cautiously because I don't want to get this wrong. I have a program_name.rpm file saved locally on my server (CentOS 6.5). I have installed it previously just by navigating ...
0
votes
2answers
4k views

error re-installing httpd on CentOS 7, how can I resolve it?

On a CentOS 7 server, I am encountering an error when trying to re-install httpd. How can I resolve this error and get httpd up and running again? Here is the first error that resulted when I ...
3
votes
2answers
3k views

Is it possible to install all available packages of TexLive in Fedora?

I would like to install all TexLive packages available for Fedora using Yum. All of them have the format texlive-package. Is there a way to do it all without installing one package at a time (there ...
1
vote
1answer
564 views

How do I install phpMyAdmin on Fedora 20 using the remi repository?

I needed to install LAMP on my Fedora 20 32-bit. Everything was fine until I had to install phpMyAdmin. This is basically the same question as this question: install phpmyadmin in fedora 20 - ask....
2
votes
2answers
5k views

Can't install “libdvdcss” with yum anymore after update on “Fedora 20 Heisenburg”

I couldn't update my system today, because of dependency problems with libdvdcss, I removed libdvdcss and it's dependency libdvdcss2. Update was successfull after that but now I can't install ...